## org.eclipse.datatools.sqltools.sqleditor
Class SQLEditorInputFactory

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.SQLEditorInputFactory

public class SQLEditorInputFactory
extends java.lang.Object

The class implements a factory which is capable of recreating SQL Editor file editor inputs stored in a memento.

Author:
  bgp

Field Summary
`static java.lang.String` `ID_FACTORY`
`static java.lang.String` `ID_FILE_EDITOR_INPUT`
`static java.lang.String` `ID_STORAGE_EDITOR_INPUT`
`static java.lang.String` `KEY_CONN_INFO_CODE`
`static java.lang.String` `KEY_DEFAULT_SCHEMA_NAME`
`static java.lang.String` `KEY_EDITOR_INPUT_TYPE`
`static java.lang.String` `KEY_STORAGE_CONTENT`
`static java.lang.String` `KEY_STORAGE_NAME`

Constructor Summary
`SQLEditorInputFactory()`

Method Summary
`IAdaptable` `createElement(IMemento memento)` Re-creates and returns an object from the state captured within the given memento.
`static void` `saveState(IMemento memento, SQLEditorFileEditorInput input)` Saves the state of the given file editor input object in the given memento.
`static void` `saveState(IMemento memento, SQLEditorStorageEditorInput input)` Saves the state of the given storage editor input object in the given memento.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID_FACTORY

    public static final java.lang.String ID_FACTORY

See Also:
  Constant Field Values

### ID_FILE_EDITOR_INPUT

    public static final java.lang.String ID_FILE_EDITOR_INPUT

See Also:
  Constant Field Values

### ID_STORAGE_EDITOR_INPUT

    public static final java.lang.String ID_STORAGE_EDITOR_INPUT

See Also:
  Constant Field Values

### KEY_CONN_INFO_CODE

    public static final java.lang.String KEY_CONN_INFO_CODE

See Also:
  Constant Field Values

### KEY_DEFAULT_SCHEMA_NAME

    public static final java.lang.String KEY_DEFAULT_SCHEMA_NAME

See Also:
  Constant Field Values

### KEY_EDITOR_INPUT_TYPE

    public static final java.lang.String KEY_EDITOR_INPUT_TYPE

See Also:
  Constant Field Values

### KEY_STORAGE_CONTENT

    public static final java.lang.String KEY_STORAGE_CONTENT

See Also:
  Constant Field Values

### KEY_STORAGE_NAME

    public static final java.lang.String KEY_STORAGE_NAME

See Also:
  Constant Field Values

Constructor Detail

### SQLEditorInputFactory

    public SQLEditorInputFactory()

Method Detail

### createElement

    public IAdaptable createElement(IMemento memento)

  Re-creates and returns an object from the state captured within the given memento.

  See Also:
    `org.eclipse.ui.IElementFactory#createElement(org.eclipse.ui.IMemento)`

### saveState

    public static void saveState(IMemento memento,
                                 SQLEditorFileEditorInput input)

  Saves the state of the given file editor input object in the given memento.

  Parameters:
    `memento` - the storage area for object's state
    `input` - the file editor input object that needs to be saved

### saveState

    public static void saveState(IMemento memento,
                                 SQLEditorStorageEditorInput input)

  Saves the state of the given storage editor input object in the given memento.

  Parameters:
    `memento` - the storage area for object's state
    `input` - the storage editor input object that needs to be saved

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.